Bring up Racks

View as Markdown

Bring up Racks with optional name filter. If no filter is specified, targets all racks in the Site.

Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site
filterobjectOptional
Filter criteria for selecting racks in batch operations. If omitted or empty, all racks in the site are targeted.
descriptionstringOptional
Optional description for the bring up operation

Response

OK
taskIdslist of strings

List of task IDs created for the bring up operation (one per rack)

Errors

400
Bad Request Error
403
Forbidden Error